Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.binding
[Groovy] Class GrailsWebDataBindingListener

    java.lang.Object
      org.grails.databinding.events.DataBindingListenerAdapter
          org.codehaus.groovy.grails.web.binding.GrailsWebDataBindingListener

    @groovy.transform.CompileStatic
    class GrailsWebDataBindingListener
    extends DataBindingListenerAdapter

Constructor Summary
`GrailsWebDataBindingListener(org.springframework.context.MessageSource messageSource)`

Method Summary
`void` | `bindingError(BindingError error, java.lang.Object errors)`
`protected java.lang.String` | `getPropertyName(java.lang.String className, java.lang.String classAsPropertyName, java.lang.String propertyName)`

Methods inherited from class DataBindingListenerAdapter
afterBinding, afterBinding, beforeBinding, beforeBinding, bindingError, supports

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GrailsWebDataBindingListener

    GrailsWebDataBindingListener(org.springframework.context.MessageSource messageSource)

Method Detail

### bindingError

    @java.lang.Override
    void bindingError(BindingError error, java.lang.Object errors)

### getPropertyName

    protected java.lang.String getPropertyName(java.lang.String className, java.lang.String classAsPropertyName, java.lang.String propertyName)

Groovy Documentation